# Oracle Management

All oracles are able to be managed by their signers, we have built in a lightweight democratic vote system, whereby a signer can propose a change to the contract, and with the threshold being met, can execute these changes. This allows for oracles to change signers/update feeds/update prices/withdraw funds and do other management

Funds that have been donated/paid to the oracle can be withdraw to either a designated address for custom withdraw features to be handled by another contract, or can be split between all signers. This allows for cold wallets to be feed providers, using a contract to send the payment to the cold wallets instead on receive/fallback.

**Proposal Types**

* 0 updatePricePass(uintValue)
* 1 updateThreshold(uintValue)
* 2 addSigners(addressValue)
* 3 removeSigner(addressValue)
* 4 updatePayoutAddress(addressValue)
* 5 updateRevenueMode(feedId, uintValue)
* 6 updateFeedCost(feedId, uintValue)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.scry.finance/docs/open-oracle-framework/oracle-management.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
